# Uses of Interface
org.springframework.jdbc.core.simple.JdbcClient.MappedQuerySpec

Packages that use JdbcClient.MappedQuerySpec
Package
Description
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.

## Uses of JdbcClient.MappedQuerySpec in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return JdbcClient.MappedQuerySpec
Modifier and Type
Method
Description
`<T> JdbcClient.MappedQuerySpec<T>`
JdbcClient.StatementSpec.`query(Class<T> mappedClass)`
Proceed towards execution of a mapped query, with several options available in the returned query specification.
`<T> JdbcClient.MappedQuerySpec<T>`
JdbcClient.StatementSpec.`query(RowMapper<T> rowMapper)`
Proceed towards execution of a mapped query, with several options available in the returned query specification.